org.apache.calcite.avatica.remote

## Class MetricsHelper

- java.lang.Object
- - org.apache.calcite.avatica.remote.MetricsHelper

    public class MetricsHelper
    extends Object

A utility class to encapsulate common logic in use of metrics implementation.

### Field Summary

Fields
`private static String` `PERIOD`

### Constructor Summary

Constructors
`private` `MetricsHelper()`

### Method Summary

Methods
`static String` `concat(Class<?> clz, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PERIOD

    private static final String PERIOD

See Also:
  Constant Field Values

### Constructor Detail

#### MetricsHelper

    private MetricsHelper()

### Method Detail

#### concat

    public static String concat(Class<?> clz,
                String name)